List STT providers
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/stt-providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/stt-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/stt-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Configuration
List STT providers
List speech-to-text providers with their models and supported languages
GET
/
stt-providers
List STT providers
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/stt-providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/stt-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/stt-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns the speech-to-text providers available for voice agents, each with its
models, supported languages and capabilities. Use this to decide what to put in
an agent’s voice configuration.
curl https://prod-comms-engine-api.20x.business/api/v1/stt-providers \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
requests.get(
"https://prod-comms-engine-api.20x.business/api/v1/stt-providers",
headers={"Authorization": f"Bearer {API_KEY}"},
)
await fetch("https://prod-comms-engine-api.20x.business/api/v1/stt-providers", {
headers: { Authorization: `Bearer ${API_KEY}` },
});

